spring:
    profiles:
        active: fourj
    cache.type: redis
    redis:
        lettuce:
            pool:
                max-active: 10
                max-idle: 10
                min-idle: 2
        host: 192.168.0.24
        port: 6379
        password:

logging:
    config: classpath:log/logback-fourj.xml

domain:
    scm: //stscm.fourj.co.kr
    admin: //stadmin.fourj.co.kr
    style24: //stfront.fourj.co.kr
    front: //stfront.fourj.co.kr
    image: //stimage.fourj.co.kr
    cdnimage: //stimage.fourj.co.kr
    uximage: //stscm.fourj.co.kr

upload:
    dext.target.path: /www/workspace/files/data/style24/dext
    default:
        target.path: /www/workspace/files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png|bmp|txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //stimage.fourj.co.kr
    goods:
        target.path: /files/data/style24/Upload/ProductImage
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //image.istyle24.com/Upload/ProductImage
    image:
        target.path: /www/workspace/files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //stimage.fourj.co.kr
    excel:
        target.path: /www/workspace/files/data/style24
        max.size: 10
        allow.extension: xls|xlsx
        view: //stimage.fourj.co.kr/excel
    sample:
        target.path: /www/workspace/files/data/style24/sample
        max.size: 10
        allow.extension: txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //stimage.fourj.co.kr/sample

download.path: /www/workspace/files/data/style24

# PG
pg:
    kcp:
        log.dir: /www/workspace/logs/style24/scm
        gw:
            url: testpaygw.kcp.co.kr
            port: 8090
        js.url: https://testpay.kcp.co.kr/plugin/payplus_web.jsp
        server: false
        site:
            cd: U3476
            key:
            name: ISTYLE TEST
        log.level: 3
        module.type: 01
        tx.mode: 0
        receipt.url : https://testadmin8.kcp.co.kr/assist/bill.BillActionNew.do

# 네이버페이 API
naverPay:
    apiUrl: https://dev.apis.naver.com/
    payUrl:
        web : test-pay.naver.com
        mob : test-m.pay.naver.com
    shop.id: istyle24
    button.key: 3A1578F9-6824-4FCF-AC8D-262318C63227
    button.pc.js.url: https://test-pay.naver.com/customer/js/naverPayButton.js
    button.mobile.js.url: https://test-pay.naver.com/customer/js/mobile/naverPayButton.js
    common.certification.key: s_3799db3bf4af
    certification.key: E3122594-C690-4542-B3A0-E74ABD4E8222
    order.api.url: https://test-api.pay.naver.com/o/customer/api/order/v20/register
    order.pc.url: https://test-order.pay.naver.com/customer/buy/
    order.mobile.url: https://test-m.pay.naver.com/o/customer/buy/
    access.license: 01000100005b15bb8faab722d100d589f34bd64843659e37a168b3617443c4f52a3fda45b8
    secret.key: AQABAADtZ/jOC1Y3LNsyI0TWwCMvPfrg0sqM9pnxliSegbjSqQ==
    port.address: http://sandbox.api.naver.com/Checkout/MallService5
    service.name: MallService5
    version: 5.0